Description: I was wondering if it would be possible to implement a simple syntax for @groups@ in AMC-TXT.

At the moment it is already possible to block together groups of questions using the following syntax:

<pre>
*(Introductory text
* Question 1
-
+
-
-

* Question 2
-
+
-
-
*)
</pre>

We can group all questions in a test in different brackets like in the example above but we have no control 
over which group will appear first in the shuffled test. That feature might be useful for language teachers as 
their exams often revolve around groups of questions that follow a quoted text. They like to put essay 
questions at the back of the exam in a separate group. Could you add an option to the syntax above, so that 
we can order which group of questions will appear first, which comes next and so on.

For example:
<pre>
*[first](Introductory text
* Question 1
-
+
-
-

* Question 2
-
+
-
-
*)

*[next](Introductory text
* Question 4
-
+
-
-
* Question 3
-
+
-
-
*)
</pre>

Maybe it would also be useful to define [last] option. That way a teacher could have other blocks of question 
be shuffled freely, but specify the essay questions to always appear at the end.

Thanks,

Niko Z.

History
09/24/2013 02:53 pm - Joël Brogniart
I too would like an option to order groups of questions. To conform to current syntax of groups, ordering options should appear after the opening 
parenthesis.
<pre>
*([first]Introductory text
* Question 1
-
+
-
-

* Question 2
-
+
-
-
*)

*([next,shuffle=false]Introductory text
* Question 4
-
+
-
-

* Question 3
-
+
-
-
*)
</pre>

09/25/2013 01:15 pm - Joël Brogniart
- File source.txt added
- File DOC-sujet.pdf added

I tried to test first, next and last options with groups and AMC rev 1453. With the AMC-TXT source I created, I should obtain subjects with 5 groups of 2 
questions. In the subjects, group "un" should appear first, then group "deux", then group "troisquatre" or group "quatretrois", then group "quatretrois" or 
group "troisquatre" and last group "cinq" (sorry for the mix of English and French). In generated subjects, group "un" is alway first and group "cinq" 
alway last. But group "deux" don't follow group "un" and is randomly mixed with groups "troisquatre" and "quatretrois".

I attached my source file and AMC generated subjects.

09/25/2013 01:43 pm - Alexis Bienvenüe
@next@ has no effect when used after @first@. Use @first@ instead for the second group. You can use @first@ for several items. They will be all at 
the beginning, in the same order as in the source (and the same applies for @last@).

09/25/2013 06:12 pm - Joël Brogniart
OK. With "first" option set instead of "next" for the second group, all works as expected (rev 1453). Thanks.

09/25/2013 08:00 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

08/19/2014 05:54 am - Anirvan Sarkar
- Assignee set to Alexis Bienvenüe

- Status changed from Resolved to Closed

Files
source.txt 4.6 kB 09/25/2013 Joël Brogniart
DOC-sujet.pdf 160.1 kB 09/25/2013 Joël Brogniart
